#!/bin/sh
#
# File:		PLUSproduct-info.sh
#
# Product:	Tivoli Module
# Description:	Shell Script
# Author:		Module Generator
#
# Generated:	
#
# (C) COPYRIGHT Tivoli Systems, Inc., 1997
# All Rights Reserved
# Licensed Material - Property of Tivoli Systems, Inc.
#
MODULE_VERSION=3.0; export MODULE_VERSION

#
#	SecureWay Firewall
#
SHORT_Prodname=Secureway_firewall
SHORT_prodname=secureway_firewall
SHORT_PRODNAME=SECUREWAY_FIREWALL
REAL_PRODNAME="SecureWay Firewall"
PATCH_ID=Secure

#
#	Product Version Information
#
VERSION_MAJOR=1
VERSION_MINOR=1
VERSION_REV=
SHORT_VERSION="$VERSION_MAJOR.$VERSION_MINOR"
LONG_VERSION="Version $SHORT_VERSION, Revision $VERSION_REV"

#
#	Product Naming Information
#
MEDIUM_PRODNAME="$REAL_PRODNAME Plus for Tivoli"
LONG_PRODNAME="$MEDIUM_PRODNAME, $LONG_VERSION"

#
#	Product Manufacturer, serial number, etc.
#
APP_MANUFACTURER="IBM Corp."
APP_LANGID=""
APP_BUILDID="$SHORT_PRODNAME""PLUS"
APP_PARTNO="part number"
APP_SERIALNO="serial number"
APP_DESCRIPTION="SecureWay Firewall Plus for Tivoli"

#
#	Directory Information
#
PLUSDIR=$INST_DIR/generic_unix/TME/PLUS
LINKDIR=$PLUSDIR/LINK
PRODDIR=$PLUSDIR/$SHORT_PRODNAME
ICONDSL=SECUREWAY_FIREWALL_icon.d

#
#	Icon Bitmaps
#
STDBITMAP="$PRODDIR/Standard.xpm"
PLUSBITMAP="$PRODDIR/StandardPlus.xpm"


#
#	Subscription List Info
#
SUBLIST_PM_1_ICONSTATE="STATE_SECUREWAY_FIREWALL_Firewall_Configuration_Clients_icon.d"
SUBLIST_PM_1="Firewall Configuration Clients"
SUBLIST_PM_2_ICONSTATE="STATE_SECUREWAY_FIREWALL_Firewall_Servers_icon.d"
SUBLIST_PM_2="Firewall Servers"
SUBLIST_PM_3_ICONSTATE="STATE_SECUREWAY_FIREWALL_Firewall_HTTP_Proxy_Servers_icon.d"
SUBLIST_PM_3_PLATFORM="unknown"
SUBLIST_PM_2_PLATFORM="unknown"
SUBLIST_PM_1_PLATFORM="unknown"
SUBLIST_PM_1_ICONDSL="Firewall_Configuration_Clients_icon.d"
SUBLIST_PM_2_ICONDSL="Firewall_Servers_icon.d"
SUBLIST_PM_3="Firewall HTTP Proxy Servers"
SUBLIST_PM_3_ICONDSL="Firewall_HTTP_Proxy_Servers_icon.d"
SUBLIST_PMS="SUBLIST_PM_1 SUBLIST_PM_2 SUBLIST_PM_3"

#
#	Task Libraries
#
TASKLIB_6_VREV=""
TASKLIB_5_TLL="IBM_Corp__Set_Install_Options__V1_1.tll"
TASKLIB_4_VERSION="1.1"
TASKLIB_6_VERSION="1.1"
TASKLIB_2_VMAJOR="1"
TASKLIB_5_VMAJOR="1"
TASKLIB_1_VREV=""
TASKLIB_2_VMINOR="1"
TASKLIB_5_VMINOR="1"
TASKLIB_1_TLL="IBM_Corp__Configure_TEC__V1_1.tll"
TASKLIB_3_VREV=""
TASKLIB_4_TLL="IBM_Corp__Administrative_Tasks__V1_1.tll"
TASKLIB_3_TLL="IBM_Corp__Logfile_Adapter_Configuration__V1_1.tll"
TASKLIB_4="Administrative Tasks"
TASKLIB_1_VERSION="1.1"
TASKLIB_1_VMAJOR="1"
TASKLIB_4_VMAJOR="1"
TASKLIB_2_TLL="IBM_Corp__Install_Configuration_Clients__V1_1.tll"
TASKLIB_5_VREV=""
TASKLIB_1_VMINOR="1"
TASKLIB_4_VMINOR="1"
TASKLIB_5="Set Install Options"
TASKLIB_3_VERSION="1.1"
TASKLIB_5_VERSION="1.1"
TASKLIB_3="Logfile Adapter Configuration"
TASKLIB_6_TLL="IBM_Corp__HTTP_Proxy_Tasks__V1_1.tll"
TASKLIB_2_VREV=""
TASKLIB_6_PLATFORM="unknown"
TASKLIB_4_PLATFORM="unknown"
TASKLIB_2_PLATFORM="unknown"
TASKLIB_1_PLATFORM="unknown"
TASKLIB_3_PLATFORM="unknown"
TASKLIB_5_PLATFORM="unknown"
TASKLIB_3_VMAJOR="1"
TASKLIB_6_VMAJOR="1"
TASKLIB_3_VMINOR="1"
TASKLIB_6_VMINOR="1"
TASKLIB_6="HTTP Proxy Tasks"
TASKLIB_4_VREV=""
TASKLIB_1="Configure TEC"
TASKLIB_2="Install Configuration Clients"
TASKLIB_2_VERSION="1.1"
TASKLIBS="TASKLIB_1 TASKLIB_2 TASKLIB_3 TASKLIB_4 TASKLIB_5 TASKLIB_6"

#
#	Application Launch Icon Info
#
TASK_12_INDCOLLS=""
LAUNCH_ICON_1_MENU_1_ARG_1="SecureWay_Firewall_server_"
LAUNCH_ICON_1_DSL="Set_Install_Options.d"
TASK_11_INDCOLLS=""
TASK_12_LIBR="$TASKLIB_5"
TASK_9_INDCOLLS=""
TASK_8_INDCOLLS=""
TASK_7_INDCOLLS=""
TASK_6_INDCOLLS=""
TASK_5_INDCOLLS=""
TASK_4_INDCOLLS=""
TASK_3_INDCOLLS=""
TASK_2_INDCOLLS=""
TASK_1_INDCOLLS=""
TASK_11_TARGETS=""
TASK_9_TARGETS=""
TASK_8_TARGETS=""
TASK_7_TARGETS=""
TASK_6_TARGETS=""
TASK_5_TARGETS=""
TASK_4_TARGETS=""
TASK_3_TARGETS=""
TASK_2_TARGETS=""
TASK_1_TARGETS=""
TASK_12_DIALOG="set_install_opts_sh.d"
INSTALL_OPT_2_NAME="Product_Install ($SHORT_PRODNAME)"
TASK_12_ICONDSL="Product_Install_icon.d"
TASK_12="Product_Install"
TASK_10_INDCOLLS=""
INSTALL_OPT_2="SecureWay_Firewall_HTTP_proxy_server_"
LAUNCH_ICON_1_MENU_1_ARG_2="SecureWay_Firewall_HTTP_proxy_server_"
INSTALL_OPT_1_NAME="Product_Install ($SHORT_PRODNAME)"
LAUNCH_ICON_1="Set Install Options"
LAUNCH_ICON_1_MENUS="LAUNCH_ICON_1_MENU_1 LAUNCH_ICON_1_MENU_2"
TASK_10_TARGETS=""
INSTALL_OPTS_DIALOG="set_install_opts.sh.d"
LAUNCH_ICON_1_PLATFORM="unknown"
TASK_12_SCRIPT="set_install_opts.sh"
LAUNCH_ICON_1_MENU_1_SCRIPT="post_set_install_opts.sh"
TASK_12_JOB="Product_Install"
LAUNCH_ICON_1_MENU_1_DIALOG="set_install_opts.sh.d"
TASK_12_TARGETS=""
INSTALL_OPT_1="SecureWay_Firewall_server_"
LAUNCH_ICON_1_MENU_1="Product_Install"
LAUNCH_ICON_1_MENU_2="Product_Install"
TASK_12_USER=""
LAUNCH_ICON_1_MENU_2_SCRIPT="set_install_opts.sh"
TASK_12_ICONSTATE="STATE_SECUREWAY_FIREWALL_Product_Install_icon.d"
LAUNCH_ICONS="LAUNCH_ICON_1"

#
#	Install Options
#
INSTALL_OPTS="INSTALL_OPT_1 INSTALL_OPT_2"

#
#	Generic Tasks
#
TASK_3_ICONSTATE="STATE_SECUREWAY_FIREWALL_Start_or_Stop_Socks_Server_icon.d"
TASK_10_ICONDSL="Start_Inetd_icon.d"
TASK_4_LIBR="$TASKLIB_4"
TASK_3_LIBR="$TASKLIB_4"
TASK_2_LIBR="$TASKLIB_4"
TASK_1_LIBR="$TASKLIB_4"
TASK_5_LIBR="$TASKLIB_4"
TASK_6_LIBR="$TASKLIB_4"
TASK_7_LIBR="$TASKLIB_4"
TASK_8_LIBR="$TASKLIB_4"
TASK_9_LIBR="$TASKLIB_4"
TASK_1_TARGETS="TASK_1_TARGET_1"
TASK_2_TARGETS="TASK_2_TARGET_1"
TASK_3_TARGETS="TASK_3_TARGET_1"
TASK_4_TARGETS="TASK_4_TARGET_1"
TASK_5_TARGETS="TASK_5_TARGET_1"
TASK_6_TARGETS="TASK_6_TARGET_1"
TASK_7_TARGETS="TASK_7_TARGET_1"
TASK_8_TARGETS="TASK_8_TARGET_1"
TASK_9_TARGETS="TASK_9_TARGET_1"
TASK_10_ICONSTATE="STATE_SECUREWAY_FIREWALL_Start_Inetd_icon.d"
TASK_13_SCRIPT="http_proxy.sh"
TASK_9_ICONSTATE="STATE_SECUREWAY_FIREWALL_Start_or_Stop_Configuration_Server_icon.d"
TASK_3_SCRIPT="socks_server.sh"
TASK_7="Start or Stop Telnet Daemon"
TASK_10_JOB="Start Inetd"
TASK_2_JOB="Start or Stop Main Filter Engine"
TASK_13="Start or Stop HTTP Proxy"
TASK_6_DIALOG="ftp_daemon_sh.d"
TASK_5_DIALOG="log_daemon_sh.d"
TASK_5="Start or Stop Log Daemon"
TASK_11_ICONDSL="Activate_Machine_Recovery_Filter_Rules_icon.d"
TASK_13_ICONSTATE="STATE_SECUREWAY_FIREWALL_Start_or_Stop_HTTP_Proxy_icon.d"
TASK_1_TARGET_1="Firewall Servers"
TASK_2_TARGET_1="Firewall Servers"
TASK_3_TARGET_1="Firewall Servers"
TASK_4_TARGET_1="Firewall Servers"
TASK_5_TARGET_1="Firewall Servers"
TASK_6_TARGET_1="Firewall Servers"
TASK_7_TARGET_1="Firewall Servers"
TASK_8_TARGET_1="Firewall Servers"
TASK_9_TARGET_1="Firewall Servers"
TASK_5_SCRIPT="log_daemon.sh"
TASK_10_TARGET_1="Firewall Servers"
TASK_11_TARGET_1="Firewall Servers"
TASK_2_ICONDSL="Start_or_Stop_Main_Filter_Engine_icon.d"
TASK_5_ICONDSL="Start_or_Stop_Log_Daemon_icon.d"
TASK_5_JOB="Start or Stop Log Daemon"
TASK_4_SCRIPT="filter_log_service.sh"
TASK_11_LIBR="$TASKLIB_4"
TASK_13_ICONDSL="Start_or_Stop_HTTP_Proxy_icon.d"
TASK_2_ICONSTATE="STATE_SECUREWAY_FIREWALL_Start_or_Stop_Main_Filter_Engine_icon.d"
TASK_3="Start or Stop Socks Server"
TASK_2="Start or Stop Main Filter Engine"
TASK_9="Start or Stop Configuration Server"
TASK_9_DIALOG="conf_server_sh.d"
TASK_8_ICONDSL="Start_or_Stop_Secure_Mail_Proxy_icon.d"
TASK_1_SCRIPT="timer_nat_service.sh"
TASK_10_LIBR="$TASKLIB_4"
TASK_3_JOB="Start or Stop Socks Server"
TASK_13_DIALOG="http_proxy_sh.d"
TASK_4_ICONDSL="Start_or_Stop_Filter_Log_Service_icon.d"
TASK_11="Activate Machine Recovery Filter Rules"
TASK_1_ICONSTATE="STATE_SECUREWAY_FIREWALL_Start_or_Stop_Timer_NAT_Service_icon.d"
TASK_9_JOB="Start or Stop Configuration Server"
TASK_1_ICONDSL="Start_or_Stop_Timer_NAT_Service_icon.d"
TASK_11_JOB="Activate Machine Recovery Filter Rules"
TASK_2_SCRIPT="filter.sh"
TASK_4_DIALOG="filter_log_service_sh.d"
TASK_2_DIALOG="filter_sh.d"
TASK_8="Start or Stop Secure Mail Proxy"
TASK_8_JOB="Start or Stop Secure Mail Proxy"
TASK_9_ICONDSL="Start_or_Stop_Configuration_Server_icon.d"
TASK_6_ICONSTATE="STATE_SECUREWAY_FIREWALL_Start_or_Stop_FTP_Daemon_icon.d"
TASK_5_ICONSTATE="STATE_SECUREWAY_FIREWALL_Start_or_Stop_Log_Daemon_icon.d"
TASK_7_DIALOG="telnet_daemon_sh.d"
TASK_9_SCRIPT="conf_server.sh"
TASK_4_ICONSTATE="STATE_SECUREWAY_FIREWALL_Start_or_Stop_Filter_Log_Service_icon.d"
TASK_5_USER=""
TASK_7_JOB="Start or Stop Telnet Daemon"
TASK_7_USER=""
TASK_6="Start or Stop FTP Daemon"
TASK_9_USER=""
TASK_8_ICONSTATE="STATE_SECUREWAY_FIREWALL_Start_or_Stop_Secure_Mail_Proxy_icon.d"
TASK_4="Start or Stop Filter Log Service"
TASK_7_SCRIPT="telnet_daemon.sh"
TASK_2_USER=""
TASK_11_ICONSTATE="STATE_SECUREWAY_FIREWALL_Activate_Machine_Recovery_Filter_Rules_icon.d"
TASK_11_SCRIPT="enable_filter.sh"
TASK_8_DIALOG="secure_mail_proxy_sh.d"
TASK_4_USER=""
TASK_6_USER=""
TASK_8_SCRIPT="secure_mail_proxy.sh"
TASK_7_ICONSTATE="STATE_SECUREWAY_FIREWALL_Start_or_Stop_Telnet_Daemon_icon.d"
TASK_8_USER=""
TASK_6_JOB="Start or Stop FTP Daemon"
TASK_3_ICONDSL="Start_or_Stop_Socks_Server_icon.d"
TASK_6_SCRIPT="ftp_daemon.sh"
TASK_13_JOB="Start or Stop HTTP Proxy"
TASK_1_USER=""
TASK_13_INDCOLLS=""
TASK_4_JOB="Start or Stop Filter Log Service"
TASK_10_SCRIPT="start_inetd.sh"
TASK_3_USER=""
TASK_11_USER=""
TASK_13_USER=""
TASK_10="Start Inetd"
TASK_1_JOB="Start or Stop Timer NAT Service"
TASK_1_DIALOG="timer_nat_service_sh.d"
TASK_7_ICONDSL="Start_or_Stop_Telnet_Daemon_icon.d"
TASK_10_USER=""
TASK_13_LIBR="$TASKLIB_6"
TASK_13_TARGETS="TASK_13_TARGET_1"
TASK_11_TARGETS="TASK_11_TARGET_1"
TASK_10_TARGETS="TASK_10_TARGET_1"
TASK_6_ICONDSL="Start_or_Stop_FTP_Daemon_icon.d"
TASK_3_DIALOG="socks_server_sh.d"
TASK_13_TARGET_1="Firewall HTTP Proxy Servers"
TASK_1="Start or Stop Timer NAT Service"
TASKS="TASK_1 TASK_2 TASK_3 TASK_4 TASK_5 TASK_6 TASK_7 TASK_8 TASK_9 TASK_10 TASK_11 TASK_12 TASK_13"

#
#	Dependency Tasks
#


#
#	Sentry Tasks
#


#
#	Plus Configuration Tasks
#


#
#	Hidden Tasks
#


#
#	Logfile Adapter Configuration Tasks
#
LOGTASK_1_ICONSTATE="STATE_SECUREWAY_FIREWALL_Configure_Logfile_Adapter_icon.d"
LOGTASK_1_LIBR="$TASKLIB_3"
LOGTASK_1_INDCOLLS=""
LOGTASK_1_JOB="Configure Logfile Adapter"
LOGTASK_1_SCRIPT="config_logfile_adapter.sh"
LOGTASK_1_DIALOG="config_logfile_adapter_sh.d"
LOGTASK_1="Configure Logfile Adapter"
LOGTASK_1_TARGETS="LOGTASK_1_TARGET_1"
LOGTASK_1_USER=""
LOGTASK_1_TARGET_1="Firewall Servers"
LOGTASK_1_ICONDSL="Configure_Logfile_Adapter_icon.d"
LOGTASKS="LOGTASK_1"

#
#	TEC Configuration Tasks
#
TECTASK_1="Configure TEC"
TECTASK_1_ICONDSL="Configure_TEC_icon.d"
TECTASK_1_SCRIPT="config_tec.sh"
TECTASK_1_USER=""
TECTASK_1_INDCOLLS=""
TECTASK_1_DEPS="TECTASK_1_DEP_1"
TECTASK_1_ICONSTATE="STATE_SECUREWAY_FIREWALL_Configure_TEC_icon.d"
TECTASK_1_LIBR="$TASKLIB_1"
TECTASK_1_DEP_1="check_tec_server.sh"
TECTASK_1_TARGETS=""
TECTASK_1_DIALOG="config_tec_sh.d"
TECTASK_1_JOB="Configure TEC"
TECTASKS="TECTASK_1"

#
#	Baroc files
#
TEC_BAROC_FILE_4="$PRODDIR/IBM_Corp__AIX_Firewall_Process_Monitors__V1_1.baroc"
TEC_BAROC_FILE_2="$PRODDIR/SecureWayDM.baroc"
TEC_BAROC_FILE_3="$PRODDIR/IBM_Corp__Windows_NT_Firewall_Process_Monitors__V1_1.baroc"
TEC_BAROC_FILE_1="$PRODDIR/SecureWaytecad.baroc"
TEC_BAROC_FILES="TEC_BAROC_FILE_1 TEC_BAROC_FILE_2 TEC_BAROC_FILE_3 TEC_BAROC_FILE_4"

#
#	FMT files
#
TEC_FMT_FILES=""

#
#	Rules files
#
TEC_RULE_FILE_1="$PRODDIR/SecureWay.rls"
TEC_RULE_FILES="TEC_RULE_FILE_1"

#
#	File package configuration tasks
#
FILEPACKTASKS="FILEPACKTASK_1 FILEPACKTASK_2"

#
#	File Package Info
#
FILEPACKTASK_1_INDCOLLS=""
FILEPACKTASK_2_INDCOLLS=""
FILEPACKTASK_1_JOB="Configure Wintel Configuration Client"
FILEPACK_1="Install Configuration Clients"
FILEPACKTASK_1_ICONSTATE="STATE_SECUREWAY_FIREWALL_Configure_Wintel_Configuration_Client_icon.d"
FILEPACK_2_FPDEFHEADER="_filepackage.header"
FILEPACK_1_FPDEFHEADER="_filepackage.header"
FILEPACKTASK_2_DEP_1="check_tme_server.sh"
FILEPACKTASK_1_DEP_1="check_tme_server.sh"
FILEPACK_1_PLATFORM="unknown"
FILEPACK_2_FPEXCLFILES="_filepackage.excluded_files"
FILEPACK_2_FPINCLFILES="_filepackage.included_files"
FILEPACK_1_FPINCLFILES="_filepackage.included_files"
FILEPACK_1_FPEXCLFILES="_filepackage.excluded_files"
FILEPACKTASK_1_DIALOG="secureway_win_ci_config_sh.d"
FILEPACK_2_ICONDSL="Firewall_Ancillary_Filepack_icon.d"
FILEPACK_1_ICONDSL="Install_Configuration_Clients_icon.d"
FILEPACK_2_SHORTNAME="_filepackage"
FILEPACK_1_SHORTNAME="_filepackage"
FILEPACKTASK_2_JOB="Configure AIX Configuration Client"
FILEPACK_2_FPKEYWORDS="_filepackage.keywords"
FILEPACK_1_FPKEYWORDS="_filepackage.keywords"
FILEPACKTASK_1_SCRIPT="secureway_win_ci_config.sh"
FILEPACK_1_VERSION="1.1"
FILEPACK_1_CONFIG_TASKS="TRUE"
FILEPACKTASK_2="Configure AIX Configuration Client"
FILEPACK_2_VMINOR="1"
FILEPACK_1_VMINOR="1"
FILEPACK_2_VREV=""
FILEPACK_1_VREV=""
FILEPACKTASK_2_TARGETS="FILEPACKTASK_2_TARGET_1"
FILEPACKTASK_1_TARGETS="FILEPACKTASK_1_TARGET_1"
FILEPACK_1_DEPS="FILEPACK_1_DEP_1"
FILEPACK_2_DEPS="FILEPACK_2_DEP_1"
FILEPACKTASK_2_USER=""
FILEPACKTASK_1_USER=""
FILEPACK_1_INDCOLLS=""
FILEPACK_2_INDCOLLS=""
FILEPACKTASK_2_TARGET_1="Firewall Configuration Clients"
FILEPACKTASK_1_TARGET_1="Firewall Configuration Clients"
FILEPACK_1_FPNESTFPS="_filepackage.nested_fps"
FILEPACK_2_FPNESTFPS="_filepackage.nested_fps"
FILEPACK_2_TARGETS=""
FILEPACKTASK_2_ICONDSL="Configure_AIX_Configuration_Client_icon.d"
FILEPACK_1_TARGETS="FILEPACK_1_TARGET_1"
FILEPACKTASK_2_ICONSTATE="STATE_SECUREWAY_FIREWALL_Configure_AIX_Configuration_Client_icon.d"
FILEPACKTASK_2_DEPS="FILEPACKTASK_2_DEP_1"
FILEPACKTASK_1_DEPS="FILEPACKTASK_1_DEP_1"
FILEPACKTASK_1="Configure Wintel Configuration Client"
FILEPACK_2_ICONSTATE="STATE_SECUREWAY_FIREWALL_Firewall_Ancillary_Filepack_icon.d"
FILEPACKTASK_1_ICONDSL="Configure_Wintel_Configuration_Client_icon.d"
FILEPACK_1_DEP_1="check_tme_server.sh"
FILEPACK_2_DEP_1="check_tme_server.sh"
FILEPACK_1_FPDEF="_filepackage.def"
FILEPACK_2_FPDEF="_filepackage.def"
FILEPACK_1_AFTER_INSTALL="secureway_unix_install_after.sh,secureway_nt_install_after.sh"
FILEPACK_2_CONFIG_TASKS="FALSE"
FILEPACK_1_ICONSTATE="STATE_SECUREWAY_FIREWALL_Install_Configuration_Clients_icon.d"
FILEPACKTASK_2_DIALOG="secureway_unix_ci_config_sh.d"
FILEPACK_1_VMAJOR="1"
FILEPACK_2_VMAJOR="1"
FILEPACK_2_VERSION="1.1"
FILEPACKTASK_1_LIBR="$TASKLIB_2"
FILEPACKTASK_2_LIBR="$TASKLIB_2"
FILEPACK_2_PLATFORM="unknown"
FILEPACK_1_TARGET_1="Firewall Configuration Clients"
FILEPACK_2="Firewall Ancillary Filepack"
FILEPACKTASK_2_SCRIPT="secureway_unix_ci_config.sh"
FILEPACKS="FILEPACK_1 FILEPACK_2"

#
#	Indicator Collection Info
#
INDCOLL_1_PLATFORM="unknown"
INDCOLL_1_DEP_1="check_tme_server.sh"
INDCOLL_1="Firewall Distributed Monitoring Indicators"
INDCOLL_1_DEPS="INDCOLL_1_DEP_1"
INDCOLLS="INDCOLL_1"

#
#	Sentry PMs
#
SENTRY_PM_1_TARGETS="SENTRY_PM_1_TARGET_1"
SENTRY_PM_2_VREV=""
SENTRY_PM_2_ICONSTATE="STATE_SECUREWAY_FIREWALL_AIX_Firewall_Process_Monitors_icon.d"
SENTRY_PM_2_INDCOLLS="SENTRY_PM_2_INDCOLL_1"
SENTRY_PM_1_INDCOLLS="SENTRY_PM_1_INDCOLL_1"
SENTRY_PM_2_VERSION="1.1"
SENTRY_PM_1_VERSION="1.1"
SENTRY_PM_1="Windows NT Firewall Process Monitors"
SENTRY_PM_2_INDCOLL_1="Firewall Distributed Monitoring Indicators"
SENTRY_PM_1_INDCOLL_1="Firewall Distributed Monitoring Indicators"
SENTRY_PM_2="AIX Firewall Process Monitors"
SENTRY_PM_1_ICONSTATE="STATE_SECUREWAY_FIREWALL_Windows_NT_Firewall_Process_Monitors_icon.d"
SENTRY_PM_1_ICONDSL="Windows_NT_Firewall_Process_Monitors_icon.d"
SENTRY_PM_2_ICONDSL="AIX_Firewall_Process_Monitors_icon.d"
SENTRY_PM_1_VREV=""
SENTRY_PM_2_VMAJOR="1"
SENTRY_PM_2_VMINOR="1"
SENTRY_PM_1_PLATFORM="unknown"
SENTRY_PM_2_PLATFORM="unknown"
SENTRY_PM_1_TARGET_1="Firewall Servers"
SENTRY_PM_2_TARGET_1="Firewall Servers"
SENTRY_PM_1_VMAJOR="1"
SENTRY_PM_1_VMINOR="1"
SENTRY_PM_2_TARGETS="SENTRY_PM_2_TARGET_1"
SENTRY_PMS="SENTRY_PM_1 SENTRY_PM_2"

#
#	Monitors
#
MONITOR_11_COND_2_VALUE="down"
MONITOR_10_COND_2_OPER="->"
MONITOR_10_COND_1_OPER="->"
MONITOR_13_COND_2_OPER="->"
MONITOR_13_COND_1_OPER="->"
MONITOR_15_PROG="null/filtermon.sh"
MONITOR_10_PROG="null/filtermon.sh"
MONITOR_15_MONCAPCOL="IBM_Corp__AIX_Firewall_Process_Monitors__V1_1"
MONITOR_14_MONCAPCOL="IBM_Corp__AIX_Firewall_Process_Monitors__V1_1"
MONITOR_13_MONCAPCOL="IBM_Corp__AIX_Firewall_Process_Monitors__V1_1"
MONITOR_12_MONCAPCOL="IBM_Corp__AIX_Firewall_Process_Monitors__V1_1"
MONITOR_11_MONCAPCOL="IBM_Corp__AIX_Firewall_Process_Monitors__V1_1"
MONITOR_2_ARGS="MONITOR_2_ARG_1"
MONITOR_15_PM="$SENTRY_PM_2"
MONITOR_9_COND_2_TASK=""
MONITOR_8_COND_2_TASK=""
MONITOR_7_COND_2_TASK=""
MONITOR_6_COND_2_TASK=""
MONITOR_5_COND_2_TASK=""
MONITOR_4_COND_2_TASK=""
MONITOR_1_COND_2_TASK=""
MONITOR_2_COND_2_TASK=""
MONITOR_3_COND_2_TASK=""
MONITOR_5_COND_1_LEVEL="critical"
MONITOR_2_PROG="null/coreprocess-nt.sh"
MONITOR_4_PROG="null/coreprocess-nt.sh"
MONITOR_11_COND_1_VALUE="up"
MONITOR_15_COND_2_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_14_COND_2_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_13_COND_1_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_12_COND_2_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_11_COND_2_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_10_COND_1_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_14_PROG="null/daemon-ef.sh"
MONITOR_13_PROG="null/daemon-ef.sh"
MONITOR_12_PROG="null/daemon-ef.sh"
MONITOR_11_PROG="null/daemon-ef.sh"
MONITOR_13_SAMP="60 seconds"
MONITOR_9_ARG_1="fwfiltlgs"
MONITOR_3_COND_2_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_2_COND_2_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_1_COND_1_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_4_COND_1_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_5_COND_1_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_6_COND_2_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_7_COND_1_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_8_COND_1_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_9_COND_2_TEC_CLAUSE="$TEC_SENTRY_CRITICAL_CLAUSE"
MONITOR_1_COND_1_VALUE="down"
MONITOR_4_COND_1_VALUE="down"
MONITOR_5_COND_1_VALUE="down"
MONITOR_7_COND_1_VALUE="down"
MONITOR_8_COND_1_VALUE="down"
MONITOR_14_PM="$SENTRY_PM_2"
MONITOR_3_PM="$SENTRY_PM_1"
MONITOR_2_PM="$SENTRY_PM_1"
MONITOR_1_PM="$SENTRY_PM_1"
MONITOR_4_PM="$SENTRY_PM_1"
MONITOR_5_PM="$SENTRY_PM_1"
MONITOR_6_PM="$SENTRY_PM_1"
MONITOR_7_PM="$SENTRY_PM_1"
MONITOR_8_PM="$SENTRY_PM_1"
MONITOR_9_PM="$SENTRY_PM_1"
MONITOR_15_PMVAR="SENTRY_PM_2"
MONITOR_4_COND_1_LIBR="$TASKLIB_5"
MONITOR_4_COND_2_LIBR="$TASKLIB_5"
MONITOR_3_COND_1_OPER="->"
MONITOR_2_COND_1_OPER="->"
MONITOR_1_COND_1_OPER="->"
MONITOR_4_COND_1_OPER="->"
MONITOR_5_COND_1_OPER="->"
MONITOR_6_COND_1_OPER="->"
MONITOR_7_COND_1_OPER="->"
MONITOR_8_COND_1_OPER="->"
MONITOR_9_COND_1_OPER="->"
MONITOR_12_SAMP="60 seconds"
MONITOR_15_SAMP="0 seconds"
MONITOR_14_ARGS="MONITOR_14_ARG_1"
MONITOR_13_ARGS="MONITOR_13_ARG_1"
MONITOR_12_ARGS="MONITOR_12_ARG_1"
MONITOR_11_ARGS="MONITOR_11_ARG_1"
MONITOR_11_COND_2_TASK=""
MONITOR_11_COND_1_TASK=""
MONITOR_6_PROG="null/coreprocess-nt.sh"
MONITOR_14_PMVAR="SENTRY_PM_2"
MONITOR_8_PROG="null/coreprocess-nt.sh"
MONITOR_9="CoreProcessStatus"
MONITOR_8="CoreProcessStatus"
MONITOR_7="CoreProcessStatus"
MONITOR_6="CoreProcessStatus"
MONITOR_5="CoreProcessStatus"
MONITOR_2="CoreProcessStatus"
MONITOR_3="CoreProcessStatus"
MONITOR_4="CoreProcessStatus"
MONITOR_14_COND_2_TASK=""
MONITOR_14_COND_1_TASK=""
MONITOR_3_COND_1_LIBR="$TASKLIB_5"
MONITOR_3_COND_2_LIBR="$TASKLIB_5"
MONITOR_12="CoreProcessStatus"
MONITOR_10_COND_1_VALUE="down"
MONITOR_15_COND_1_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_14_COND_1_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_13_COND_2_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_12_COND_1_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_11_COND_1_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_10_COND_2_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_15_COND_1_LIBR="$TASKLIB_5"
MONITOR_14_COND_1_LIBR="$TASKLIB_5"
MONITOR_13_COND_1_LIBR="$TASKLIB_5"
MONITOR_12_COND_1_LIBR="$TASKLIB_5"
MONITOR_11_COND_1_LIBR="$TASKLIB_5"
MONITOR_10_COND_1_LIBR="$TASKLIB_5"
MONITOR_4_ARG_1="securemail"
MONITOR_7_ARGS="MONITOR_7_ARG_1"
MONITOR_4_COND_1_LEVEL="critical"
MONITOR_7_ARG_1="fwlogds"
MONITOR_10_COND_2_VALUE="up"
MONITOR_8_COND_2_LEVEL="normal"
MONITOR_7_COND_2_LEVEL="normal"
MONITOR_5_COND_2_LEVEL="normal"
MONITOR_4_COND_2_LEVEL="normal"
MONITOR_1_COND_2_LEVEL="normal"
MONITOR_11="HTTPProxyProcessStatus"
MONITOR_15_COND_2_LEVEL="critical"
MONITOR_14_COND_2_LEVEL="critical"
MONITOR_12_COND_2_LEVEL="critical"
MONITOR_11_COND_2_LEVEL="critical"
MONITOR_9_COND_2_LIBR="$TASKLIB_5"
MONITOR_9_COND_1_LIBR="$TASKLIB_5"
MONITOR_4_ARGS="MONITOR_4_ARG_1"
MONITOR_13_PM="$SENTRY_PM_2"
MONITOR_3_COND_2_LEVEL="critical"
MONITOR_9_PMVAR="SENTRY_PM_1"
MONITOR_8_PMVAR="SENTRY_PM_1"
MONITOR_7_PMVAR="SENTRY_PM_1"
MONITOR_6_PMVAR="SENTRY_PM_1"
MONITOR_5_PMVAR="SENTRY_PM_1"
MONITOR_4_PMVAR="SENTRY_PM_1"
MONITOR_1_PMVAR="SENTRY_PM_1"
MONITOR_2_PMVAR="SENTRY_PM_1"
MONITOR_3_PMVAR="SENTRY_PM_1"
MONITOR_8_ARG_1="fwsocks5"
MONITOR_12_COND_2_OPER="->"
MONITOR_12_COND_1_OPER="->"
MONITOR_15_COND_2_OPER="->"
MONITOR_15_COND_1_OPER="->"
MONITOR_11_SAMP="60 seconds"
MONITOR_1_ARGS="MONITOR_1_ARG_1"
MONITOR_8_COND_1_LIBR="$TASKLIB_5"
MONITOR_8_COND_2_LIBR="$TASKLIB_5"
MONITOR_13_PMVAR="SENTRY_PM_2"
MONITOR_15_COND_2_VALUE="down"
MONITOR_2_COND_2_LIBR="$TASKLIB_5"
MONITOR_2_COND_1_LIBR="$TASKLIB_5"
MONITOR_2_ARG_1="ibmfwrcs"
MONITOR_11_ARG_1="ibmproxy"
MONITOR_1="HTTPProxyProcessStatus"
MONITOR_9_COND_2_LEVEL="critical"
MONITOR_10_SAMP="60 seconds"
MONITOR_15_COND_1_VALUE="up"
MONITOR_10="FilterStatus"
MONITOR_14_COND_2_VALUE="down"
MONITOR_10_COND_2_LEVEL="normal"
MONITOR_13_COND_2_LEVEL="normal"
MONITOR_14_ARG_1="inetd"
MONITOR_1_COND_2_VALUE="up"
MONITOR_4_COND_2_VALUE="up"
MONITOR_5_COND_2_VALUE="up"
MONITOR_7_COND_2_VALUE="up"
MONITOR_8_COND_2_VALUE="up"
MONITOR_10_COND_1_TASK=""
MONITOR_10_COND_2_TASK=""
MONITOR_8_COND_1_LEVEL="critical"
MONITOR_13_COND_1_TASK=""
MONITOR_13_COND_2_TASK=""
MONITOR_1_ARG_1="ibmproxy"
MONITOR_14_COND_1_VALUE="up"
MONITOR_9_ARGS="MONITOR_9_ARG_1"
MONITOR_12_PM="$SENTRY_PM_2"
MONITOR_1_PROG="null/coreprocess-nt.sh"
MONITOR_3_PROG="null/coreprocess-nt.sh"
MONITOR_2_COND_2_LEVEL="critical"
MONITOR_10_ARGS=""
MONITOR_15_ARGS=""
MONITOR_10_MONCAPCOL="IBM_Corp__Windows_NT_Firewall_Process_Monitors__V1_1"
MONITOR_13_ARG_1="fwsocks5"
MONITOR_3_MONCAPCOL="IBM_Corp__Windows_NT_Firewall_Process_Monitors__V1_1"
MONITOR_2_MONCAPCOL="IBM_Corp__Windows_NT_Firewall_Process_Monitors__V1_1"
MONITOR_1_MONCAPCOL="IBM_Corp__Windows_NT_Firewall_Process_Monitors__V1_1"
MONITOR_4_MONCAPCOL="IBM_Corp__Windows_NT_Firewall_Process_Monitors__V1_1"
MONITOR_5_MONCAPCOL="IBM_Corp__Windows_NT_Firewall_Process_Monitors__V1_1"
MONITOR_6_MONCAPCOL="IBM_Corp__Windows_NT_Firewall_Process_Monitors__V1_1"
MONITOR_7_MONCAPCOL="IBM_Corp__Windows_NT_Firewall_Process_Monitors__V1_1"
MONITOR_8_MONCAPCOL="IBM_Corp__Windows_NT_Firewall_Process_Monitors__V1_1"
MONITOR_9_MONCAPCOL="IBM_Corp__Windows_NT_Firewall_Process_Monitors__V1_1"
MONITOR_3_COND_1_LEVEL="normal"
MONITOR_2_COND_1_LEVEL="normal"
MONITOR_6_COND_1_LEVEL="normal"
MONITOR_9_COND_1_LEVEL="normal"
MONITOR_6_ARG_1="pftpd"
MONITOR_9_CONDS="MONITOR_9_COND_1 MONITOR_9_COND_2"
MONITOR_6_ARGS="MONITOR_6_ARG_1"
MONITOR_7_COND_1_LIBR="$TASKLIB_5"
MONITOR_7_COND_2_LIBR="$TASKLIB_5"
MONITOR_11_PM="$SENTRY_PM_2"
MONITOR_12_PMVAR="SENTRY_PM_2"
MONITOR_1_COND_2_LIBR="$TASKLIB_5"
MONITOR_1_COND_1_LIBR="$TASKLIB_5"
MONITOR_8_CONDS="MONITOR_8_COND_1 MONITOR_8_COND_2"
MONITOR_7_CONDS="MONITOR_7_COND_1 MONITOR_7_COND_2"
MONITOR_3_COND_1_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_2_COND_1_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_1_COND_2_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_4_COND_2_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_5_COND_2_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_6_COND_1_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_7_COND_2_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_8_COND_2_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_9_COND_1_TEC_CLAUSE="$TEC_SENTRY_NORMAL_CLAUSE"
MONITOR_3_ARGS="MONITOR_3_ARG_1"
MONITOR_6_CONDS="MONITOR_6_COND_1 MONITOR_6_COND_2"
MONITOR_11_COND_1_OPER="->"
MONITOR_11_COND_2_OPER="->"
MONITOR_14_COND_1_OPER="->"
MONITOR_14_COND_2_OPER="->"
MONITOR_3_COND_2_VALUE="down"
MONITOR_2_COND_2_VALUE="down"
MONITOR_6_COND_2_VALUE="down"
MONITOR_9_COND_2_VALUE="down"
MONITOR_5_PROG="null/coreprocess-nt.sh"
MONITOR_7_PROG="null/coreprocess-nt.sh"
MONITOR_9_PROG="null/coreprocess-nt.sh"
MONITOR_5_CONDS="MONITOR_5_COND_1 MONITOR_5_COND_2"
MONITOR_11_PMVAR="SENTRY_PM_2"
MONITOR_13_COND_1_VALUE="down"
MONITOR_10_COND_1_LEVEL="critical"
MONITOR_13_COND_1_LEVEL="critical"
MONITOR_4_CONDS="MONITOR_4_COND_1 MONITOR_4_COND_2"
MONITOR_7_COND_1_LEVEL="critical"
MONITOR_3_CONDS="MONITOR_3_COND_1 MONITOR_3_COND_2"
MONITOR_3_COND_2_OPER="->"
MONITOR_2_COND_2_OPER="->"
MONITOR_1_COND_2_OPER="->"
MONITOR_4_COND_2_OPER="->"
MONITOR_5_COND_2_OPER="->"
MONITOR_6_COND_2_OPER="->"
MONITOR_7_COND_2_OPER="->"
MONITOR_8_COND_2_OPER="->"
MONITOR_9_COND_2_OPER="->"
MONITOR_13_COND_2_VALUE="up"
MONITOR_1_COND_1_LEVEL="critical"
MONITOR_2_CONDS="MONITOR_2_COND_1 MONITOR_2_COND_2"
MONITOR_10_CONDS="MONITOR_10_COND_1 MONITOR_10_COND_2"
MONITOR_11_CONDS="MONITOR_11_COND_1 MONITOR_11_COND_2"
MONITOR_12_CONDS="MONITOR_12_COND_1 MONITOR_12_COND_2"
MONITOR_13_CONDS="MONITOR_13_COND_1 MONITOR_13_COND_2"
MONITOR_14_CONDS="MONITOR_14_COND_1 MONITOR_14_COND_2"
MONITOR_15_CONDS="MONITOR_15_COND_1 MONITOR_15_COND_2"
MONITOR_1_CONDS="MONITOR_1_COND_1 MONITOR_1_COND_2"
MONITOR_12_ARG_1="smtpsb"
MONITOR_10_COND_2_LIBR="$TASKLIB_5"
MONITOR_11_COND_2_LIBR="$TASKLIB_5"
MONITOR_12_COND_2_LIBR="$TASKLIB_5"
MONITOR_13_COND_2_LIBR="$TASKLIB_5"
MONITOR_14_COND_2_LIBR="$TASKLIB_5"
MONITOR_15_COND_2_LIBR="$TASKLIB_5"
MONITOR_15="FilterStatus"
MONITOR_6_COND_1_LIBR="$TASKLIB_5"
MONITOR_6_COND_2_LIBR="$TASKLIB_5"
MONITOR_10_PM="$SENTRY_PM_1"
MONITOR_5_ARG_1="ptelnetd"
MONITOR_11_COND_1_LEVEL="normal"
MONITOR_12_COND_1_LEVEL="normal"
MONITOR_14_COND_1_LEVEL="normal"
MONITOR_15_COND_1_LEVEL="normal"
MONITOR_12_COND_1_TASK=""
MONITOR_12_COND_2_TASK=""
MONITOR_15_COND_1_TASK=""
MONITOR_15_COND_2_TASK=""
MONITOR_14_SAMP="60 seconds"
MONITOR_3_COND_1_VALUE="up"
MONITOR_2_COND_1_VALUE="up"
MONITOR_6_COND_1_VALUE="up"
MONITOR_9_COND_1_VALUE="up"
MONITOR_3_ARG_1="fwtimernats"
MONITOR_8_ARGS="MONITOR_8_ARG_1"
MONITOR_5_COND_2_LIBR="$TASKLIB_5"
MONITOR_5_COND_1_LIBR="$TASKLIB_5"
MONITOR_14="CoreProcessStatus"
MONITOR_10_PMVAR="SENTRY_PM_1"
MONITOR_9_SAMP="60 seconds"
MONITOR_8_SAMP="60 seconds"
MONITOR_7_SAMP="60 seconds"
MONITOR_6_SAMP="60 seconds"
MONITOR_5_SAMP="60 seconds"
MONITOR_4_SAMP="60 seconds"
MONITOR_1_SAMP="60 seconds"
MONITOR_2_SAMP="60 seconds"
MONITOR_3_SAMP="60 seconds"
MONITOR_12_COND_2_VALUE="down"
MONITOR_6_COND_2_LEVEL="critical"
MONITOR_5_ARGS="MONITOR_5_ARG_1"
MONITOR_9_COND_1_TASK=""
MONITOR_8_COND_1_TASK=""
MONITOR_7_COND_1_TASK=""
MONITOR_6_COND_1_TASK=""
MONITOR_5_COND_1_TASK=""
MONITOR_4_COND_1_TASK=""
MONITOR_1_COND_1_TASK=""
MONITOR_2_COND_1_TASK=""
MONITOR_3_COND_1_TASK=""
MONITOR_12_COND_1_VALUE="up"
MONITOR_13="CoreProcessStatus"
MONITORS="MONITOR_1 MONITOR_2 MONITOR_3 MONITOR_4 MONITOR_5 MONITOR_6 MONITOR_7 MONITOR_8 MONITOR_9 MONITOR_10 MONITOR_11 MONITOR_12 MONITOR_13 MONITOR_14 MONITOR_15"
