# -- BEGIN COPYRIGHT --
# IBM SecureWay Firewall Version 4.1
# Licensed Materials - Property of IBM
#
# 5697-F48
#
# (C) Copyright IBM Corp. 1985, 1994, 1999 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# -- END COPYRIGHT --

#
# Component Name: TEC specific functions
#
# $Date: 1999/01/29 17:18:09 $
#
# $Revision: 1.1.1.1 $
#

###########################################

$cmd = '/etc/Tivoli/tecad/bin/postmsg.sh';
$cmd = 'sh /logfileAdapter/lib/postmsg.sh';
$cmd = 'postemsg';

###########################################

sub initTrace
{
    if ($CfgTable{Trace} eq "true") {
        if ( "$interp" eq "winnt" ) {
            $traceid='TRACE';
            open($traceid,">> /tmp/fwAdapter.trace") || &myDie("Cannot open Trace file:/tmp/itmAdapter.trace");
            select($traceid); $| = 1; select(STDOUT);       # unbuffered IO
        }
        else {
            $traceid='STDERR';
        }
    }
            print "*** fix me later ***\n";
            $traceid='STDERR';
}

# print Traceing stuff

sub Trace 
{
    local($level, $msg)=@_;
    
    print $traceid "$msg";
}

#

sub initServerConnection
{
    local($r);
}

# 

sub termServerConnection
{
    local($code)=@_;

    exit ($code);
}

# 

sub connectToServer
{
}

#

sub disconnectFromServer
{
}

#

sub runAndGetOutput
{
  local($cmd, *output) = @_;

  open(HANDLE, "$cmd |") || die "runAdnGetOutput: open failed\n";

  $output = "";

  while(<HANDLE>) { $output .= $_; }

  close(PROFILES);
}

sub getEventServerOid
{
  local(*oid) = @_;
  local($output, $TNR, $ES, $EVS);

  &runAndGetOutput("wlookup NameRegistry", *TNR);
  &runAndGetOutput("idlcall $TNR local_lookup '\"EventServer\" \"EventServer\"'", *ES);
  &runAndGetOutput("idlarg 1 $ES", *EVS);

  $oid = $EVS;
}

# send the event message

sub sendMessage
{
    local($class, $source, @slots) = @_;
    local($args) = '';
    local($myArg);
    local($cmdline);

#   &getEventServerOid(*oid);

    @args = @slots;

    $sep = ";\n";
    $sep = " ";

    $myArg = "\"";
    $myArg = "";

    foreach $arg (@args)
    {
#       $arg =~ tr/"/'/d;	# translate double quotes to singles
        $arg =~ s/ $//;		# strip training white space
print STDERR "		($arg)\n";
        $myArg .= "$arg";
        $myArg .= "$sep";
    }

#    $myArg .= "source=\"$source\" ";
    $myArg .= "source=LOGFILE";
#   $myArg .= "END;\"";

    # perl's doing ugly things. push the command to a file,
    # then execute the file

    if ( "$interp" eq "winnt" )
    {
      $AH =  $ADAPTER_HOME;
      $AH =~ s|/|\\|g;
      #$AH =~ s|/|\\|g;

      open(OUTFILE, ">/tmp/sendMessage.bat");
      chmod 0777, '/tmp/sendMessage.bat';
      print OUTFILE $AH,'\\',$cmd,' -f ',$TMPdir,'/post.cfg ',$myArg, ' ',$class, ' ',$source,"\n";
#      print OUTFILE $AH,'/',$cmd,' -f ',$TMPdir,'/post.cfg ',$myArg, ' ',$class, ' ',$source,"\n";
      close OUTFILE;

print "*** fix me later ***\n";

#      system('cat /tmp/sendMessage.bat');
     system('/tmp/sendMessage.bat');
    }
    else
    {
      open(OUTFILE, ">/tmp/sendMessage.sh");
      chmod 0700, '/tmp/sendMessage.sh';
      print OUTFILE "#!/bin/sh\n\n";
      print OUTFILE $ADAPTER_HOME,'/',$cmd,' -f ',$TMPdir,'/post.cfg ',$myArg, ' ',$class, ' ',$source," >/dev/null 2>&1\n";
      close OUTFILE;

      system('cat /tmp/sendMessage.sh');
      system('/tmp/sendMessage.sh');
    }

    return(1);
}

# build a TEC event

sub buildMessage
{
    local(%Event) = @_;
    local(@slots);
    local($t,$slot);

    foreach $slot ( grep (!/classname|source/, keys(%Event)) ) {
        $t=$Event{$slot};
        if ( ! &isNumeric($t) ) {
            $t='"' . $t . '"';
            $t=~s/^"(".*")"$/$1/;
            $t=~s/^"('.*')"$/$1/;
        }
        push(@slots, "$slot=$t ");
    }

    return($Event{classname}, $PROGNAME, @slots);
    #return($Event{classname}, $Event{source}, @slots);
}

;1

###########################################
